import 'package:conalep_pos/services/repo_service.dart';
import 'package:sqflite/sqflite.dart';

import '../models/models.dart';

class ProductosService {
  Future<bool> isDatabaseEmpty() async {
    final dbClient = await RepoService().db;
    final categoriaCount = Sqflite.firstIntValue(
      await dbClient!.rawQuery('SELECT COUNT(*) FROM CategoriaProducto'),
    );
    final productoCount = Sqflite.firstIntValue(
      await dbClient.rawQuery('SELECT COUNT(*) FROM Producto'),
    );
    print('Categoria Count: $categoriaCount, Producto Count: $productoCount');
    return categoriaCount == 0 && productoCount == 0;
  }

  Future<void> fillCategoriaBD() async {
    // final List<CategoriaProducto> categorias = [
    //   CategoriaProducto(id: 1, nombre: 'SNACKS'),
    //   CategoriaProducto(id: 2, nombre: 'BEBIDAS'),
    //   CategoriaProducto(id: 3, nombre: 'DULCERÍA'),
    //   CategoriaProducto(id: 4, nombre: 'PRODUCTOS DE COCINA'),
    //   CategoriaProducto(id: 5, nombre: 'PAPELERÍA'),
    // ];

    // RepoService<CategoriaProducto> repoService =
    //     RepoService<CategoriaProducto>();
    // for (var categoria in categorias) {
    //   await repoService.guardarLocal(categoria);
    // }
  }

  Future<void> fillProductoBD() async {
    // List<Producto> productos = [
    //   Producto(id: 1, idCategoria: 1, nombre: 'SABRITAS', precio: '22'),
    //   Producto(
    //       id: 2, idCategoria: 1, nombre: 'TOSTITOS CON QUESO', precio: '30'),
    //   Producto(
    //       id: 3, idCategoria: 1, nombre: 'TOSTITOS CON CARNE', precio: '40'),
    //   Producto(id: 4, idCategoria: 1, nombre: 'PEPIHUATES', precio: '15'),
    //   Producto(id: 5, idCategoria: 1, nombre: 'FRITURAS', precio: '15'),
    //   Producto(id: 6, idCategoria: 1, nombre: 'PALOMITAS', precio: '10'),
    //   Producto(
    //       id: 7,
    //       idCategoria: 1,
    //       nombre: 'GALLETAS GAMESA CHICAS',
    //       precio: '22'),
    //   Producto(
    //       id: 8,
    //       idCategoria: 1,
    //       nombre: 'GALLETAS GAMESA CHICAS',
    //       precio: '25'),
    //   Producto(id: 9, idCategoria: 1, nombre: 'PANES BIMBO', precio: '0'),
    //   Producto(id: 10, idCategoria: 1, nombre: 'PANES GRINGOS', precio: '0'),
    //   Producto(
    //       id: 11,
    //       idCategoria: 1,
    //       nombre: 'PALETAS Y HELADOS RICCO',
    //       precio: '0'),
    //   //Bebidas
    //   Producto(id: 12, idCategoria: 2, nombre: 'COCA COLA 600ML', precio: '25'),
    //   Producto(id: 13, idCategoria: 2, nombre: 'COCA LATA', precio: '0'),
    //   Producto(id: 14, idCategoria: 2, nombre: 'FUZE TEA', precio: '23'),
    //   Producto(id: 15, idCategoria: 2, nombre: 'AGUA 1/2 LITRO', precio: '8'),
    //   Producto(id: 16, idCategoria: 2, nombre: 'SPORT', precio: '23'),
    //   Producto(id: 17, idCategoria: 2, nombre: 'JUGO BIDA', precio: '17'),
    //   Producto(id: 18, idCategoria: 2, nombre: 'JUGO VALLE', precio: '23'),
    //   Producto(
    //       id: 19, idCategoria: 2, nombre: 'YOGURT DE BOTELLITA', precio: '15'),
    //   Producto(id: 20, idCategoria: 2, nombre: 'AGUA FRESCA', precio: '12'),
    //   Producto(id: 21, idCategoria: 2, nombre: 'LICUADO', precio: '28'),
    //   Producto(id: 22, idCategoria: 2, nombre: 'CAPRISUN', precio: '0'),
    //   Producto(id: 23, idCategoria: 2, nombre: 'KOOL AID', precio: '0'),
    //   Producto(id: 24, idCategoria: 2, nombre: 'SODA GRINGA', precio: '0'),
    //   Producto(id: 25, idCategoria: 2, nombre: 'CAFÉ AMERICANO', precio: '12'),
    //   Producto(id: 26, idCategoria: 2, nombre: 'CAFÉ CON LECHE', precio: '15'),
    //   //Dulcería
    //   Producto(id: 27, idCategoria: 3, nombre: 'TUTSI POP', precio: '5'),
    //   Producto(id: 28, idCategoria: 3, nombre: 'CHICLES', precio: '2'),
    //   Producto(id: 29, idCategoria: 3, nombre: 'HALLS', precio: '12'),
    //   Producto(id: 30, idCategoria: 3, nombre: 'MENTOS', precio: '1'),
    //   Producto(id: 31, idCategoria: 3, nombre: 'ROCKALETA', precio: '10'),
    //   Producto(
    //       id: 32, idCategoria: 3, nombre: 'PALETA SURTIDA AZUL', precio: '5'),
    //   Producto(id: 33, idCategoria: 3, nombre: 'TAMBORINES', precio: '1'),
    //   Producto(id: 34, idCategoria: 3, nombre: 'PICAFRESA', precio: '2'),
    //   Producto(id: 35, idCategoria: 3, nombre: 'SNICKERS', precio: '20'),
    //   Producto(id: 36, idCategoria: 3, nombre: 'MILKY WAY', precio: '20'),
    //   Producto(id: 37, idCategoria: 3, nombre: 'M&M', precio: '20'),
    //   Producto(id: 38, idCategoria: 3, nombre: 'MUIBON', precio: '8'),
    //   Producto(id: 39, idCategoria: 3, nombre: 'BARRA BRAN FRUT', precio: '12'),
    //   Producto(
    //       id: 40, idCategoria: 3, nombre: 'BARRA RICE KRISPIES', precio: '12'),
    //   Producto(id: 41, idCategoria: 3, nombre: 'BARRA STILA', precio: '12'),
    //   //Pdtos Cocina
    //   Producto(id: 42, idCategoria: 4, nombre: 'HAMBURGUESA', precio: '45'),
    //   Producto(
    //       id: 43,
    //       idCategoria: 4,
    //       nombre: 'HAMBURGUESA CON PAPAS',
    //       precio: '60'),
    //   Producto(
    //       id: 44,
    //       idCategoria: 4,
    //       nombre: 'PAPAS FRITAS CON QUESO',
    //       precio: '30'),
    //   Producto(
    //       id: 45, idCategoria: 4, nombre: 'PAPAS CON BONELESS', precio: '55'),
    //   Producto(id: 46, idCategoria: 4, nombre: 'EXTRA DE PAPAS', precio: '20'),
    //   Producto(id: 47, idCategoria: 4, nombre: 'TORTA DE JAMÓN', precio: '25'),
    //   Producto(id: 48, idCategoria: 4, nombre: 'TORTA DE PIERNA', precio: '45'),
    //   Producto(
    //       id: 49, idCategoria: 4, nombre: 'TORTA DE BARBACOA', precio: '45'),
    //   Producto(
    //       id: 50, idCategoria: 4, nombre: 'QUESADILLA CON JAMÓN', precio: '25'),
    //   Producto(
    //       id: 51, idCategoria: 4, nombre: 'QUESADILLA CON CARNE', precio: '30'),
    //   Producto(
    //       id: 52,
    //       idCategoria: 4,
    //       nombre: 'QUESADILLA CON BONELESS',
    //       precio: '35'),
    //   Producto(id: 53, idCategoria: 4, nombre: 'PIZZA PAN', precio: '20'),
    //   Producto(id: 54, idCategoria: 4, nombre: 'PIZZA DOG', precio: '25'),
    //   Producto(id: 55, idCategoria: 4, nombre: 'BURRITOS 3PZAS', precio: '30'),
    //   Producto(id: 56, idCategoria: 4, nombre: 'MOLLETE', precio: '18'),
    //   Producto(id: 57, idCategoria: 4, nombre: 'SANDWICH', precio: '20'),
    //   Producto(
    //       id: 58, idCategoria: 4, nombre: 'YOGURT CON FRUTA', precio: '30'),
    //   Producto(
    //       id: 59, idCategoria: 4, nombre: 'TAMAL ELOTE O CARNE', precio: '22'),
    //   Producto(
    //       id: 60, idCategoria: 4, nombre: 'TAMAL CON FRIJOL', precio: '30'),
    //   Producto(id: 61, idCategoria: 4, nombre: 'MARUCHAN', precio: '25'),
    //   Producto(
    //       id: 62, idCategoria: 4, nombre: 'ENSALADA BONELESS', precio: '55'),
    //   Producto(
    //       id: 63, idCategoria: 4, nombre: 'ENSALADA DE JAMÓN', precio: '35'),
    //   Producto(
    //       id: 64, idCategoria: 4, nombre: 'ENSALADA DE POLLO', precio: '45'),
    //   Producto(
    //       id: 65,
    //       idCategoria: 4,
    //       nombre: 'COMIDA DEL DIA 1/2 ORDEN',
    //       precio: '45'),
    //   Producto(
    //       id: 66,
    //       idCategoria: 4,
    //       nombre: 'COMIDA DEL DIA 1 ORDEN',
    //       precio: '80'),
    //   //Papeleria
    //   Producto(
    //       id: 67, idCategoria: 5, nombre: 'HOJAS BLANCAS (2)', precio: '1'),
    //   Producto(id: 68, idCategoria: 5, nombre: 'CARTULINA', precio: '10'),
    //   Producto(id: 69, idCategoria: 5, nombre: 'FOLDERS', precio: '5'),
    //   Producto(id: 70, idCategoria: 5, nombre: 'BORRADOR', precio: '10'),
    //   Producto(id: 71, idCategoria: 5, nombre: 'SACAPUNTAS', precio: '10'),
    //   Producto(id: 72, idCategoria: 5, nombre: 'MARCATEXTOS', precio: '15'),
    //   Producto(id: 73, idCategoria: 5, nombre: 'PLUMA', precio: '10'),
    //   Producto(id: 74, idCategoria: 5, nombre: 'LAPIZ', precio: '10'),
    //   Producto(id: 75, idCategoria: 5, nombre: 'TOALLA FEMENINA', precio: '5'),
    //   Producto(id: 76, idCategoria: 5, nombre: 'PAPEL DE BAÑO', precio: '5'),
    // ];

    // RepoService<Producto> repoService = RepoService<Producto>();
    // for (var producto in productos) {
    //   await repoService.guardarLocal(producto);
    // }
  }
}
